TransformInInterceptor (Apache CXF JavaDoc 4.1.0-SNAPSHOT API)
Description: declaration: package: org.apache.cxf.interceptor.transform, class: TransformInInterceptor

Package org.apache.cxf.interceptor.transform

# Class TransformInInterceptor

java.lang.Object
org.apache.cxf.phase.AbstractPhaseInterceptor<Message>
org.apache.cxf.interceptor.transform.TransformInInterceptor

All Implemented Interfaces:
  `Interceptor<Message>`, `PhaseInterceptor<Message>`

public class TransformInInterceptor extends AbstractPhaseInterceptor<Message>
Creates an XMLStreamReader from the InputStream on the Message.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TransformInInterceptor()`
  `TransformInInterceptor(String phase)`
  `TransformInInterceptor(String phase, List<String> after)`
  `TransformInInterceptor(String phase, List<String> before, List<String> after)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected XMLStreamReader`
  `createTransformReaderIfNeeded(XMLStreamReader reader, InputStream is)`
  `void`
  `handleMessage(Message message)`
  Intercepts a message.
  `void`
  `setBlockOriginalReader(boolean blockOriginalReader)`
  `void`
  `setContextPropertyName(String propertyName)`
  `void`
  `setInAppendElements(Map<String,String> inElements)`
  `void`
  `setInDropElements(List<String> dropElementsSet)`
  `void`
  `setInTransformAttributes(Map<String,String> inAttributes)`
  `void`
  `setInTransformElements(Map<String,String> inElements)`

  ### Methods inherited from class org.apache.cxf.phase.AbstractPhaseInterceptor

  `addAfter, addAfter, addBefore, addBefore, getAdditionalInterceptors, getAfter, getBefore, getId, getPhase, handleFault, isGET, isRequestor, setAfter, setBefore`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TransformInInterceptor

    public TransformInInterceptor()

  - ### TransformInInterceptor

    public TransformInInterceptor(String phase)

  - ### TransformInInterceptor

    public TransformInInterceptor(String phase, List<String> after)

  - ### TransformInInterceptor

    public TransformInInterceptor(String phase, List<String> before, List<String> after)

- ## Method Details

  - ### handleMessage

    public void handleMessage(Message message)
    Description copied from interface: `Interceptor`
    Intercepts a message. Interceptors should NOT invoke handleMessage or handleFault on the next interceptor - the interceptor chain will take care of this.

  - ### createTransformReaderIfNeeded

    protected XMLStreamReader createTransformReaderIfNeeded(XMLStreamReader reader, InputStream is)

  - ### setInAppendElements

    public void setInAppendElements(Map<String,String> inElements)

  - ### setInDropElements

    public void setInDropElements(List<String> dropElementsSet)

  - ### setInTransformElements

    public void setInTransformElements(Map<String,String> inElements)

  - ### setInTransformAttributes

    public void setInTransformAttributes(Map<String,String> inAttributes)

  - ### setBlockOriginalReader

    public void setBlockOriginalReader(boolean blockOriginalReader)

  - ### setContextPropertyName

    public void setContextPropertyName(String propertyName)